Skip to main content
GET
/
api
/
research
/
similar
cURL
curl --request GET \
  --url https://api.recoupable.com/api/research/similar
{
  "status": "success",
  "artists": [
    {
      "name": "<string>",
      "id": 123,
      "similarity": 123,
      "career_stage": "<string>",
      "recent_momentum": "<string>",
      "sp_followers": 123,
      "sp_monthly_listeners": 123
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

artist
string
required

Artist name or Recoup artist ID (UUID).

audience
enum<string>
default:medium

Audience overlap weight.

Available options:
high,
medium,
low
genre
enum<string>
default:medium

Genre similarity weight.

Available options:
high,
medium,
low
mood
enum<string>
default:medium

Mood similarity weight.

Available options:
high,
medium,
low
musicality
enum<string>
default:medium

Musicality similarity weight.

Available options:
high,
medium,
low
limit
integer
default:10

Response

Similar artists with overlap scores

status
enum<string>
Available options:
success,
error
Example:

"success"

artists
object[]
total
integer